@import "pref";

app-layout-site {
  width: 100%;
  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;

  .page-header,
  .page-main,
  .page-footer {
    flex-shrink: 0; //important, so that the blocks are correctly extended in height
    width: 100%;

    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: stretch;
  }

  .page-header {
    height: $page-header-height;
    background-color: $color-bg-header;
    box-shadow: 0 1px 0 0 $color-porcelain-approx;
  }

  .page-main {
    flex-grow: 1;
    margin-top: 15px;
    margin-bottom: 15px;
  }

  .page-footer {
    margin-top: auto;
    border-top: 0;
    background-color: $color-bg-footer;
  }

  .header-content {
    align-items: stretch;

    app-logo-header {
      margin-left: 4px;
    }

    nevis-btn-user {
      margin-left: auto;
      margin-right: 2px;
    }
  }

  .content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;
  }

  .footer-content {
    padding: 10px $indent-horizontal;
    user-select: none;

    justify-content: flex-start;
    align-items: center;

    app-language {
      margin-left: auto;
    }
  }

  app-page-main-home {
    @include decorateContent();
  }
}
